Subject: bug#13965: info.info conflict between emacs and texinfo

From: Petr Hracek <[email-masked]>
Date: Tue, 02 Apr 2013 09:43:18 +0200

thank you for that patch.
Does it mean that info.texi will be delivered by Emacs instead of texlive?
At the begging of that "bug" was mentioned that info.texi should be part 
of texlive.

I am little bit confused what is final solution.

 From last messages of that thread is seen that info.texi will be part 
of emacs package definitelly, right?

S pozdravem / Best regards

Petr Hracek

On 04/01/2013 09:11 AM, Andreas Schwab wrote:
> [email-masked] (Karl Berry) writes:
>
>> I know.  I keep them synced.
> No, you don't.
>
> --- texinfo-5.1/doc/info.texi	2013-02-19 23:25:28.000000000 +0100
> +++ emacs-24.3/doc/misc/info.texi	2013-01-01 21:37:17.000000000 +0100
> @@ -14,25 +14,18 @@
>   This file describes how to use Info, the on-line, menu-driven GNU
>   documentation system.
>   
> -Copyright @copyright{} 1989, 1992, 1996-2012 Free Software Foundation, Inc.
> +Copyright @copyright{} 1989, 1992, 1996--2013 Free Software Foundation, Inc.
>   
>   @quotation
>   Permission is granted to copy, distribute and/or modify this document
>   under the terms of the GNU Free Documentation License, Version 1.3 or
>   any later version published by the Free Software Foundation; with no
> -Invariant Sections, with the Front-Cover texts being ``A GNU
> -Manual,'' and with the Back-Cover Texts as in (a) below.  A copy of the
> -license is included in the section entitled ``GNU Free Documentation
> -License'' in the Emacs manual.
> +Invariant Sections, with the Front-Cover texts being ``A GNU Manual,''
> +and with the Back-Cover Texts as in (a) below.  A copy of the license
> +is included in the section entitled ``GNU Free Documentation License''.
>   
>   (a) The FSF's Back-Cover Text is: ``You have the freedom to copy and
> -modify this GNU manual.  Buying copies from the FSF supports it in
> -developing GNU and promoting software freedom.''
> -
> -This document is part of a collection distributed under the GNU Free
> -Documentation License.  If you want to distribute this document
> -separately from the collection, you can do so by adding a copy of the
> -license to the document, as described in section 6 of the license.
> +modify this GNU manual.''
>   @end quotation
>   @end copying
>   
> @@ -78,12 +71,13 @@
>   @end ifinfo
>   @end ifnottex
>   
> -@insertcopying
> +@insertcopying
>   
>   @menu
>   * Getting Started::             Getting started using an Info reader.
>   * Advanced::                    Advanced Info commands.
>   * Expert Info::                 Info commands for experts.
> +* GNU Free Documentation License::  The license for this documentation.
>   * Index::                       An index of topics, commands, and variables.
>   @end menu
>   
> @@ -264,7 +258,7 @@
>   
>   @format
>   >> If you are in Emacs and have a mouse, and if you already practiced
> -   typing @kbd{n} to get to the next node, click now with the left
> +   typing @kbd{n} to get to the next node, click now with the left
>      mouse button on the @samp{Next} link to do the same ``the mouse way''.
>   @end format
>   
> @@ -324,7 +318,7 @@
>   we call ``Backspace or DEL'' in this manual is labeled differently on
>   different keyboards.  Look for a key which is a little ways above the
>   @key{ENTER} or @key{RET} key and which you normally use outside Emacs
> -to erase the character before the cursor, i.e.@: the character you
> +to erase the character before the cursor, i.e., the character you
>   typed last.  It might be labeled @samp{Backspace} or @samp{<-} or
>   @samp{DEL}, or sometimes @samp{Delete}.} and @kbd{b} commands exist to
>   allow you to ``move around'' in a node that does not all fit on the
> @@ -1504,6 +1498,10 @@
>   To check an Info file, do @kbd{M-x Info-validate} while looking at any
>   node of the file with Emacs Info mode.
>   
> +@node GNU Free Documentation License
> +@appendix GNU Free Documentation License
> +@include doclicense.texi
> +
>   @node Index
>   @unnumbered Index
>   
>
> Andreas.
>